/[gentoo-x86]/eclass/vdr-plugin.eclass
Gentoo

Diff of /eclass/vdr-plugin.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.60 Revision 1.83
1# Copyright 1999-2005 Gentoo Foundation 1# Copyright 1999-2012 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/Attic/vdr-plugin.eclass,v 1.60 2008/05/15 14:03:15 zzam Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/Attic/vdr-plugin.eclass,v 1.83 2012/03/09 23:14:46 hd_brummy Exp $
4
5# @ECLASS: vdr-plugin.eclass
6# @MAINTAINER:
7# vdr@gentoo.org
8# @BLURB: common vdr plugin ebuild functions
9# @DESCRIPTION:
10# Eclass for easing maitenance of vdr plugin ebuilds
11
12# Authors:
13# Matthias Schwarzott <zzam@gentoo.org>
14# Joerg Bornkessel <hd_brummy@gentoo.org>
15# Christian Ruppert <idl0r@gentoo.org>
16
17# Plugin config file installation:
4# 18#
5# Author: 19# A plugin config file can be specified through the $VDR_CONFD_FILE variable, it
6# Matthias Schwarzott <zzam@gentoo.org> 20# defaults to ${FILESDIR}/confd. Each config file will be installed as e.g.
7# Joerg Bornkessel <hd_brummy@gentoo.org> 21# ${D}/etc/conf.d/vdr.${VDRPLUGIN}
8 22
9# vdr-plugin.eclass 23# Installation of rc-addon files:
24# NOTE: rc-addon files must be valid shell scripts!
10# 25#
11# eclass to create ebuilds for vdr plugins 26# Installing rc-addon files is basically the same as for plugin config files
27# (see above), it's just using the $VDR_RCADDON_FILE variable instead.
28# The default value when $VDR_RCADDON_FILE is undefined is:
29# ${FILESDIR}/rc-addon.sh and will be installed as
30# ${VDR_RC_DIR}/plugin-${VDRPLUGIN}.sh
12# 31#
32# The rc-addon files will be sourced by the startscript when the specific plugin
33# has been enabled.
34# rc-addon files may be used to prepare everything that is necessary for the
35# plugin start/stop, like passing extra command line options and so on.
13 36
14# Example ebuild (vdr-femon): 37# Applying your own local/user patches:
38# This is done by using the epatch_user() function of the eutils.eclass.
39# Simply put your patches into one of these directories:
40# /etc/portage/patches/<CATEGORY>/<PF|P|PN>/
41# Quote: where the first of these three directories to exist will be the one to
42# use, ignoring any more general directories which might exist as well.
15# 43#
16# inherit vdr-plugin 44# For more details about it please take a look at the eutils.class.
17# IUSE=""
18# SLOT="0"
19# DESCRIPTION="vdr Plugin: DVB Frontend Status Monitor (signal strengt/noise)"
20# HOMEPAGE="http://www.saunalahti.fi/~rahrenbe/vdr/femon/"
21# SRC_URI="http://www.saunalahti.fi/~rahrenbe/vdr/femon/files/${P}.tgz"
22# LICENSE="GPL-2"
23# KEYWORDS="~x86"
24# DEPEND=">=media-video/vdr-1.3.27"
25#
26#
27
28# Installation of a config file for the plugin
29#
30# If ${VDR_CONFD_FILE} is set install this file
31# else install ${FILESDIR}/confd if it exists.
32
33# Gets installed as /etc/conf.d/vdr.${VDRPLUGIN}.
34# For the plugin vdr-femon this would be /etc/conf.d/vdr.femon
35
36
37# Installation of an rc-addon file for the plugin
38#
39# If ${VDR_RCADDON_FILE} is set install this file
40# else install ${FILESDIR}/rc-addon.sh if it exists.
41#
42# Gets installed under ${VDR_RC_DIR}/plugin-${VDRPLUGIN}.sh
43# (in example vdr-femon this would be /usr/share/vdr/rcscript/plugin-femon.sh)
44#
45# This file is sourced by the startscript when plugin is activated in /etc/conf.d/vdr
46# It could be used for special startup actions for this plugins, or to create the
47# plugin command line options from a nicer version of a conf.d file.
48
49# HowTo use own local patches; Example
50#
51# Add to your /etc/make.conf:
52# VDR_LOCAL_PATCHES_DIR="/usr/local/patch"
53#
54# Add two DIR's in your local patch dir, ${PN}/${PV},
55# e.g for vdr-burn-0.1.0 should be:
56# /usr/local/patch/vdr-burn/0.1.0/
57#
58# all patches which ending on diff or patch in this DIR will automatically applied
59#
60 45
61inherit base multilib eutils flag-o-matic 46inherit base multilib eutils flag-o-matic
47
48if ! has "${EAPI:-0}" 0 1 2 3 4; then
49 die "API of vdr-plugin.eclass in EAPI=\"${EAPI}\" not established"
50fi
62 51
63IUSE="" 52IUSE=""
64 53
65# Name of the plugin stripped from all vdrplugin-, vdr- and -cvs pre- and postfixes 54# Name of the plugin stripped from all vdrplugin-, vdr- and -cvs pre- and postfixes
66VDRPLUGIN="${PN/#vdrplugin-/}" 55VDRPLUGIN="${PN/#vdrplugin-/}"
71 60
72# works in most cases 61# works in most cases
73S="${WORKDIR}/${VDRPLUGIN}-${PV}" 62S="${WORKDIR}/${VDRPLUGIN}-${PV}"
74 63
75# depend on headers for DVB-driver 64# depend on headers for DVB-driver
76DEPEND=">=media-tv/gentoo-vdr-scripts-0.3.8 65COMMON_DEPEND=">=media-tv/gentoo-vdr-scripts-0.4.2"
77 || ( >=media-tv/gentoo-vdr-scripts-0.4.2 >=media-tv/vdrplugin-rebuild-0.2 ) 66
67DEPEND="${COMMON_DEPEND}
68 virtual/linuxtv-dvb-headers"
69RDEPEND="${COMMON_DEPEND}
78 >=app-admin/eselect-vdr-0.0.2 70 >=app-admin/eselect-vdr-0.0.2"
79 media-tv/linuxtv-dvb-headers"
80 71
72# this is a hack for ebuilds like vdr-xineliboutput that want to
73# conditionally install a vdr-plugin
74if [[ "${GENTOO_VDR_CONDITIONAL:-no}" = "yes" ]]; then
75 # make DEPEND conditional
76 IUSE="${IUSE} vdr"
77 DEPEND="vdr? ( ${DEPEND} )"
78 RDEPEND="vdr? ( ${RDEPEND} )"
79fi
81 80
82# New method of storing plugindb 81# New method of storing plugindb
83# Called from src_install 82# Called from src_install
84# file maintained by normal portage-methods 83# file maintained by normal portage-methods
85create_plugindb_file() { 84create_plugindb_file() {
153 done 152 done
154} 153}
155 154
156fix_vdr_libsi_include() 155fix_vdr_libsi_include()
157{ 156{
158 einfo "Fixing include of libsi-headers" 157 #einfo "Fixing include of libsi-headers"
159 local f 158 local f
160 for f; do 159 for f; do
161 sed -i "${f}" \ 160 sed -i "${f}" \
162 -e '/#include/s:"\(.*libsi.*\)":<\1>:' \ 161 -e '/#include/s:"\(.*libsi.*\)":<\1>:' \
163 -e '/#include/s:<.*\(libsi/.*\)>:<vdr/\1>:' 162 -e '/#include/s:<.*\(libsi/.*\)>:<vdr/\1>:'
183 # To satisfy 1-3 we do this: 182 # To satisfy 1-3 we do this:
184 # Set VDRDIR=/usr/include/vdr 183 # Set VDRDIR=/usr/include/vdr
185 # Set VDRINCDIR=/usr/include 184 # Set VDRINCDIR=/usr/include
186 # Change $(VDRDIR)/include to $(VDRINCDIR) 185 # Change $(VDRDIR)/include to $(VDRINCDIR)
187 186
188 ebegin " Setting Pathes"
189 sed -i Makefile \ 187 sed -i Makefile \
190 -e "s:^VDRDIR.*$:VDRDIR = ${VDR_INCLUDE_DIR}:" \ 188 -e "s:^VDRDIR.*$:VDRDIR = ${VDR_INCLUDE_DIR}:" \
191 -e "/^VDRDIR/a VDRINCDIR = ${VDR_INCLUDE_DIR%/vdr}" \ 189 -e "/^VDRDIR/a VDRINCDIR = ${VDR_INCLUDE_DIR%/vdr}" \
192 -e '/VDRINCDIR.*=/!s:$(VDRDIR)/include:$(VDRINCDIR):' \ 190 -e '/VDRINCDIR.*=/!s:$(VDRDIR)/include:$(VDRINCDIR):' \
193 \ 191 \
194 -e 's:-I$(DVBDIR)/include::' \ 192 -e 's:-I$(DVBDIR)/include::' \
195 -e 's:-I$(DVBDIR)::' 193 -e 's:-I$(DVBDIR)::'
196 eend 0
197 194
198 # maybe needed for multiproto: 195 # maybe needed for multiproto:
199 #sed -i Makefile \ 196 #sed -i Makefile \
200 # -e "s:^DVBDIR.*$:DVBDIR = ${DVB_INCLUDE_DIR}:" \ 197 # -e "s:^DVBDIR.*$:DVBDIR = ${DVB_INCLUDE_DIR}:" \
201 # -e 's:-I$(DVBDIR)/include:-I$(DVBDIR):' 198 # -e 's:-I$(DVBDIR)/include:-I$(DVBDIR):'
217 214
218 # Disabling file stripping, useful for debugging 215 # Disabling file stripping, useful for debugging
219 sed -i Makefile \ 216 sed -i Makefile \
220 -e '/@.*strip/d' \ 217 -e '/@.*strip/d' \
221 -e '/strip \$(LIBDIR)\/\$@/d' \ 218 -e '/strip \$(LIBDIR)\/\$@/d' \
222 -e '/@.*\$(STRIP)/d' 219 -e 's/STRIP.*=.*$/STRIP = true/'
223 220
224 # Use a file instead of a variable as single-stepping via ebuild 221 # Use a file instead of a variable as single-stepping via ebuild
225 # destroys environment. 222 # destroys environment.
226 touch "${WORKDIR}"/.vdr-plugin_makefile_patched 223 touch "${WORKDIR}"/.vdr-plugin_makefile_patched
227} 224}
228 225
229vdr_add_local_patch() {
230 if test -d "${VDR_LOCAL_PATCHES_DIR}/${PN}"; then
231 echo
232 einfo "Applying local patches"
233 for LOCALPATCH in "${VDR_LOCAL_PATCHES_DIR}/${PN}/${PV}"/*.{diff,patch}; do
234 test -f "${LOCALPATCH}" && epatch "${LOCALPATCH}"
235 done
236 fi
237}
238
239vdr_has_gettext() { 226vdr_has_gettext() {
240 has_version ">=media-video/vdr-1.5.7" 227 has_version ">=media-video/vdr-1.5.7"
241} 228}
242 229
243plugin_has_gettext() { 230plugin_has_gettext() {
244 [[ -d po ]] 231 [[ -d po ]]
245} 232}
246 233
247vdr_i18n_convert_to_gettext() { 234vdr_i18n_convert_to_gettext() {
235 if has_version ">=media-video/vdr-1.7.22"; then
236 local i18n_tool="${ROOT}/usr/share/vdr/bin/i18n-to-gettext"
237 else
248 local i18n_tool="${ROOT}/usr/share/vdr/bin/i18n-to-gettext.pl" 238 local i18n_tool="${ROOT}/usr/share/vdr/bin/i18n-to-gettext.pl"
239 fi
249 240
250 if [[ ${NO_GETTEXT_HACK} == "1" ]]; then 241 if [[ ${NO_GETTEXT_HACK} == "1" ]]; then
251 ewarn "Conversion to gettext disabled in ebuild" 242 ewarn "Conversion to gettext disabled in ebuild"
252 return 1 243 return 1
253 fi 244 fi
283 return 1 274 return 1
284 fi 275 fi
285} 276}
286 277
287vdr_i18n_disable_gettext() { 278vdr_i18n_disable_gettext() {
288 ebegin "Disabling gettext support in plugin" 279 #einfo "Disabling gettext support in plugin"
280
289 # Remove i18n Target if using older vdr 281 # Remove i18n Target if using older vdr
290 sed -i Makefile \ 282 sed -i Makefile \
291 -e '/^all:/s/ i18n//' 283 -e '/^all:/s/ i18n//'
292 eend 0
293} 284}
294 285
295vdr_i18n() { 286vdr_i18n() {
296 if vdr_has_gettext; then 287 if vdr_has_gettext; then
297 einfo "VDR has gettext support" 288 #einfo "VDR has gettext support"
298 if plugin_has_gettext; then 289 if plugin_has_gettext; then
299 einfo "Plugin has gettext support, fine" 290 #einfo "Plugin has gettext support, fine"
291 if [[ ${NO_GETTEXT_HACK} == "1" ]]; then
292 ewarn "Please remove unneeded NO_GETTEXT_HACK from ebuild."
293 fi
300 else 294 else
301 vdr_i18n_convert_to_gettext 295 vdr_i18n_convert_to_gettext
302 if [[ $? != 0 ]]; then 296 if [[ $? != 0 ]]; then
303 eerror "" 297 eerror ""
304 eerror "Plugin will have only english OSD texts" 298 eerror "Plugin will have only english OSD texts"
305 eerror "it needs manual fixing." 299 eerror "it needs manual fixing."
306 fi 300 fi
307 fi 301 fi
308 else 302 else
309 einfo "VDR has no gettext support" 303 #einfo "VDR has no gettext support"
310 if plugin_has_gettext; then 304 if plugin_has_gettext; then
311 vdr_i18n_disable_gettext 305 vdr_i18n_disable_gettext
312 fi 306 fi
313 fi 307 fi
314} 308}
335 329
336 dosym "${VDRPLUGIN}-${PV}" "${destdir}" 330 dosym "${VDRPLUGIN}-${PV}" "${destdir}"
337} 331}
338 332
339vdr-plugin_print_enable_command() { 333vdr-plugin_print_enable_command() {
334 local p_name c=0 l=""
335 for p_name in ${vdr_plugin_list}; do
336 c=$(( c+1 ))
337 l="$l ${p_name#vdr-}"
338 done
339
340 elog 340 elog
341 case $c in
342 1) elog "Installed plugin${l}" ;;
343 *) elog "Installed $c plugins:${l}" ;;
344 esac
341 elog "To activate this vdr-plugin execute the following command:" 345 elog "To activate a plugin execute this command:"
342 elog "\teselect vdr-plugin enable ${PN#vdr-}" 346 elog "\teselect vdr-plugin enable <plugin_name> ..."
343 elog 347 elog
344} 348}
345 349
350has_vdr() {
351 [[ -f "${VDR_INCLUDE_DIR}"/config.h ]]
352}
346 353
347## exported functions 354## exported functions
348 355
349vdr-plugin_pkg_setup() { 356vdr-plugin_pkg_setup() {
350 # -fPIC is needed for shared objects on some platforms (amd64 and others) 357 # -fPIC is needed for shared objects on some platforms (amd64 and others)
351 append-flags -fPIC 358 append-flags -fPIC
352 359
360 # Plugins need to be compiled with position independent code, otherwise linking
361 # VDR against it will fail
362 if has_version ">=media-video/vdr-1.7.13"; then
363 append-flags -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
364 fi
365
353 # Where should the plugins live in the filesystem 366 # Where should the plugins live in the filesystem
354 VDR_PLUGIN_DIR="/usr/$(get_libdir)/vdr/plugins" 367 VDR_PLUGIN_DIR="/usr/$(get_libdir)/vdr/plugins"
355 VDR_CHECKSUM_DIR="${VDR_PLUGIN_DIR%/plugins}/checksums" 368 VDR_CHECKSUM_DIR="${VDR_PLUGIN_DIR%/plugins}/checksums"
356 369
357 # was /usr/lib/... some time ago 370 # was /usr/lib/... some time ago
361 # Pathes to includes 374 # Pathes to includes
362 VDR_INCLUDE_DIR="/usr/include/vdr" 375 VDR_INCLUDE_DIR="/usr/include/vdr"
363 DVB_INCLUDE_DIR="/usr/include" 376 DVB_INCLUDE_DIR="/usr/include"
364 377
365 TMP_LOCALE_DIR="${WORKDIR}/tmp-locale" 378 TMP_LOCALE_DIR="${WORKDIR}/tmp-locale"
379 if has_version ">=media-video/vdr-1.6.0_p2-r7"; then
380 LOCDIR="/usr/share/locale"
381 else
366 LOCDIR="/usr/share/vdr/locale" 382 LOCDIR="/usr/share/vdr/locale"
383 fi
367 384
368 TMP_LIBDIR="${WORKDIR}/tmp-libdir" 385 if ! has_vdr; then
386 # set to invalid values to detect abuses
387 VDRVERSION="eclass_no_vdr_installed"
388 APIVERSION="eclass_no_vdr_installed"
389
390 if [[ "${GENTOO_VDR_CONDITIONAL:-no}" = "yes" ]] && ! use vdr; then
391 einfo "VDR not found!"
392 else
393 # if vdr is required
394 die "VDR not found!"
395 fi
396 return
397 fi
369 398
370 VDRVERSION=$(awk -F'"' '/define VDRVERSION/ {print $2}' "${VDR_INCLUDE_DIR}"/config.h) 399 VDRVERSION=$(awk -F'"' '/define VDRVERSION/ {print $2}' "${VDR_INCLUDE_DIR}"/config.h)
371 APIVERSION=$(awk -F'"' '/define APIVERSION/ {print $2}' "${VDR_INCLUDE_DIR}"/config.h) 400 APIVERSION=$(awk -F'"' '/define APIVERSION/ {print $2}' "${VDR_INCLUDE_DIR}"/config.h)
372 [[ -z ${APIVERSION} ]] && APIVERSION="${VDRVERSION}" 401 [[ -z ${APIVERSION} ]] && APIVERSION="${VDRVERSION}"
373 402
374 einfo "Compiling against" 403 einfo "Compiling against"
375 einfo "\tvdr-${VDRVERSION} [API version ${APIVERSION}]" 404 einfo "\tvdr-${VDRVERSION} [API version ${APIVERSION}]"
405
406
407 if [ -n "${VDR_LOCAL_PATCHES_DIR}" ]; then
408 eerror "Using VDR_LOCAL_PATCHES_DIR is deprecated!"
409 eerror "Please move all your patches into"
410 eerror "${EROOT}/etc/portage/patches/${CATEGORY}/${P}"
411 eerror "and remove or unset the VDR_LOCAL_PATCHES_DIR variable."
412 die
413 fi
414}
415
416vdr-plugin_src_util() {
417 while [ "$1" ]; do
418 case "$1" in
419 all)
420 vdr-plugin_src_util unpack add_local_patch patchmakefile i18n
421 ;;
422 prepare|all_but_unpack)
423 vdr-plugin_src_util add_local_patch patchmakefile i18n
424 ;;
425 unpack)
426 base_src_unpack
427 ;;
428 add_local_patch)
429 cd "${S}" || die "Could not change to plugin-source-directory!"
430 epatch_user
431 ;;
432 patchmakefile)
433 cd "${S}" || die "Could not change to plugin-source-directory!"
434 vdr_patchmakefile
435 ;;
436 i18n)
437 cd "${S}" || die "Could not change to plugin-source-directory!"
438 vdr_i18n
439 ;;
440 esac
441
442 shift
443 done
376} 444}
377 445
378vdr-plugin_src_unpack() { 446vdr-plugin_src_unpack() {
379 if [[ -z ${VDR_INCLUDE_DIR} ]]; then 447 if [[ -z ${VDR_INCLUDE_DIR} ]]; then
380 eerror "Wrong use of vdr-plugin.eclass." 448 eerror "Wrong use of vdr-plugin.eclass."
381 eerror "An ebuild for a vdr-plugin will not work without calling vdr-plugin_pkg_setup." 449 eerror "An ebuild for a vdr-plugin will not work without calling vdr-plugin_pkg_setup."
382 echo 450 echo
383 eerror "Please report this at bugs.gentoo.org." 451 eerror "Please report this at bugs.gentoo.org."
384 die "vdr-plugin_pkg_setup not called!" 452 die "vdr-plugin_pkg_setup not called!"
385 fi 453 fi
386 [ -z "$1" ] && vdr-plugin_src_unpack unpack add_local_patch patchmakefile i18n 454 if [ -z "$1" ]; then
455 case "${EAPI:-0}" in
456 2|3|4)
457 vdr-plugin_src_util unpack
458 ;;
459 *)
460 vdr-plugin_src_util all
461 ;;
462 esac
463
464 else
465 vdr-plugin_src_util $@
466 fi
467}
468
469vdr-plugin_src_prepare() {
470 base_src_prepare
471 vdr-plugin_src_util prepare
472}
473
474vdr-plugin_src_compile() {
475 [ -z "$1" ] && vdr-plugin_src_compile copy_source compile
387 476
388 while [ "$1" ]; do 477 while [ "$1" ]; do
389 478
390 case "$1" in 479 case "$1" in
391 all_but_unpack) 480 copy_source)
392 vdr-plugin_src_unpack add_local_patch patchmakefile i18n
393 ;;
394 unpack)
395 base_src_unpack
396 ;;
397 add_local_patch)
398 cd "${S}" || die "Could not change to plugin-source-directory!"
399 vdr_add_local_patch
400 ;;
401 patchmakefile)
402 cd "${S}" || die "Could not change to plugin-source-directory!"
403 vdr_patchmakefile
404 ;;
405 i18n)
406 cd "${S}" || die "Could not change to plugin-source-directory!"
407 vdr_i18n
408 ;;
409 esac
410
411 shift
412 done
413}
414
415vdr-plugin_src_compile() {
416 [ -z "$1" ] && vdr-plugin_src_compile prepare compile
417
418 while [ "$1" ]; do
419
420 case "$1" in
421 prepare)
422 [[ -n "${VDRSOURCE_DIR}" ]] && vdr-plugin_copy_source_tree 481 [[ -n "${VDRSOURCE_DIR}" ]] && vdr-plugin_copy_source_tree
423 ;; 482 ;;
424 compile) 483 compile)
425 if [[ ! -f ${WORKDIR}/.vdr-plugin_makefile_patched ]]; then 484 if [[ ! -f ${WORKDIR}/.vdr-plugin_makefile_patched ]]; then
426 eerror "Wrong use of vdr-plugin.eclass." 485 eerror "Wrong use of vdr-plugin.eclass."
430 eerror "Please report this at bugs.gentoo.org." 489 eerror "Please report this at bugs.gentoo.org."
431 die "vdr-plugin_src_unpack not called!" 490 die "vdr-plugin_src_unpack not called!"
432 fi 491 fi
433 cd "${S}" 492 cd "${S}"
434 493
435 mkdir -p "${TMP_LIBDIR}" 494 BUILD_TARGETS=${BUILD_TARGETS:-${VDRPLUGIN_MAKE_TARGET:-all}}
495
436 emake ${BUILD_PARAMS} \ 496 emake ${BUILD_PARAMS} \
437 ${VDRPLUGIN_MAKE_TARGET:-all} \ 497 ${BUILD_TARGETS} \
438 LOCALEDIR="${TMP_LOCALE_DIR}" \ 498 LOCALEDIR="${TMP_LOCALE_DIR}" \
439 LIBDIR="${TMP_LIBDIR}" \ 499 LIBDIR="${S}" \
440 TMPDIR="${T}" \ 500 TMPDIR="${T}" \
441 || die "emake failed" 501 || die "emake failed"
442 ;; 502 ;;
443 esac 503 esac
444 504
467 doins "${mname}.patched" 527 doins "${mname}.patched"
468 528
469 fi 529 fi
470 530
471 531
472 local p_list="" p_name
473 532
474 cd "${TMP_LIBDIR}" 533 cd "${S}"
534 insinto "${VDR_PLUGIN_DIR}"
535 doins libvdr-*.so.*
536
537 # create list of all created plugin libs
538 vdr_plugin_list=""
539 local p_name
475 for p in libvdr-*.so.*; do 540 for p in libvdr-*.so.*; do
476 p_name="${p%.so*}" 541 p_name="${p%.so*}"
477 p_name="${p_name#lib}" 542 p_name="${p_name#lib}"
478 p_list="${p_list} ${p_name}" 543 vdr_plugin_list="${vdr_plugin_list} ${p_name}"
479
480 insinto "${VDR_PLUGIN_DIR}"
481 doins "$p"
482 done 544 done
483 545
484 create_header_checksum_file ${p_list} 546 create_header_checksum_file ${vdr_plugin_list}
485 create_plugindb_file ${p_list} 547 create_plugindb_file ${vdr_plugin_list}
486 548
487 if vdr_has_gettext && [[ -d ${TMP_LOCALE_DIR} ]]; then 549 if vdr_has_gettext && [[ -d ${TMP_LOCALE_DIR} ]]; then
488 einfo "Installing locales" 550 einfo "Installing locales"
489 cd "${TMP_LOCALE_DIR}" 551 cd "${TMP_LOCALE_DIR}"
490 insinto "${LOCDIR}" 552 insinto "${LOCDIR}"
527vdr-plugin_pkg_postrm() { 589vdr-plugin_pkg_postrm() {
528 delete_orphan_plugindb_file 590 delete_orphan_plugindb_file
529} 591}
530 592
531vdr-plugin_pkg_config() { 593vdr-plugin_pkg_config() {
532 ewarn "emerge --config ${PN} is no longer supported" 594:
533 vdr-plugin_print_enable_command
534} 595}
535 596
597case "${EAPI:-0}" in
598 2|3|4)
599 EXPORT_FUNCTIONS pkg_setup src_unpack src_prepare src_compile src_install pkg_postinst pkg_postrm pkg_config
600 ;;
601 *)
536EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_install pkg_postinst pkg_postrm pkg_config 602 EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_install pkg_postinst pkg_postrm pkg_config
603 ;;
604esac

Legend:
Removed from v.1.60  
changed lines
  Added in v.1.83

  ViewVC Help
Powered by ViewVC 1.1.20